org admin role cannot reach own org in UI
Status: Rejected   

Priority: Normal   

Assignee:    
Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1098707 Red Hat JIRA:  

Pull request:    

Description

With the permissions here https://github.com/Katello/hammer-cli-csv/blob/master/test/data/roles.csv#L120 , which I believe should be

org admin user cannot select the their org in the /organizations UI page. The link displayed is simply 

http://localhost:3000/organizations/# while the correct link would be http://localhost:3000/organizations/3-mega-corporation/edit

History

#1 - 05/17/2014 01:56 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1098707

#2 - 05/19/2014 07:23 AM - Dominic Cleal

- Status changed from New to Need more information

I can't reproduce this, a simple user with the following unlimited permissions has links to edit orgs: view_organizations, create_organizations,

edit_organizations, destroy_organizations, assign_organizations

#3 - 08/12/2014 03:19 AM - Dominic Cleal

- Status changed from Need more information to Rejected
